DH_AUTO_INSTALL(1)

NAME
dh_auto_install - automatically runs make install or similar

SYNOPSIS
dh_auto_install [build system options] [debhelper options] [-- params]

DESCRIPTION
dh_auto_install is a debhelper program that tries to automatically install built files. It does so by running the appropriate command for the build system it detects the package uses. For example, if there's a Makefile and it contains a install target, then this is done by running make (or MAKE, if the environment variable is set). If there is a setup.py or Build.PL, it is used. Note that the Ant build system does not support installation, so dh_auto_install will not install files built using Ant.

In compat 14 or later, dh_auto_install will use debian/tmp as the default --destdir and should be moved from there to the appropriate package build directory using dh_install(1) or similar tools. Though if the single-binary addon for dh(1) is activated, then it will pass an explicit --destdir=debian/package/ to dh_auto_install.

For earlier compat levels then unless --destdir option is specified, the files are installed into debian/package/ if there is only one binary package. In the multiple binary package case, the files are instead installed into debian/tmp/, and should be moved from there to the appropriate package build directory using dh_install(1) or similar tools.

DESTDIR is used to tell make where to install the files. If the Makefile was generated by MakeMaker from a Makefile.PL, it will automatically set PREFIX=/usr too, since such Makefiles need that.

This is intended to work for about 90% of packages. If it doesn't work, or tries to use the wrong install target, you're encouraged to skip using dh_auto_install at all, and just run make install manually.

OPTIONS
See "BUILD SYSTEM OPTIONS" in debhelper(7) for a list of common build system selection and control options.

--destdir=directory
    Install files into the specified directory. If this option is not specified, destination directory is determined automatically as described in the "DESCRIPTION" section.

-- params
    Pass params to the program that is run, after the parameters that dh_auto_install usually passes.

SEE ALSO
debhelper(7)

This program is a part of debhelper.

AUTHOR
Joey Hess <joeyh@debian.org>